# Global Express Country

The GlobalExpressCountry endpoint returns the country names containing the search term in the Country= parameter. Country names in five languages are returned:
- English
- Spanish
- French
- German
- Simplified Chinese.

Endpoint: GET /GlobalExpressCountry

## Query parameters:

  - `id` (string, required)
    Required. The [License Key](https://docs.melissa.com/melissa/license/license-information.html) issued by Melissa.

  - `country` (string, required)
    Required. The search term for the country/countries desired.

  - `format` (string)
    Desired format of the response. Possible values are `json`, `jsonp`, or `xml`, depending on the endpoint.

**Note**: the base URL for JavaScript format request is `https://expressentry.melissadata.net/jsonp/`.

## Header parameters:

  - `Accept` (string, required)
    Format of the response.

  - `Content-Type` (string, required)
    Format of the request.

## Response 200:

  - `200` (unknown)
    Global Express Country response

## Response 200 fields (application/json):

  - `Version` (string)
    The current service version number.

  - `ResultCode` (string)
    Lists result codes for the most recent request. For more information, see [Global Express Entry Result Codes](https://docs.melissa.com/cloud-api/global-express-entry/result-codes.html).

  - `ErrorString` (string)
    Lists error codes from any errors caused by the most recent request. For more information, see [Global Express Entry Result Codes](https://docs.melissa.com/cloud-api/global-express-entry/result-codes.html).

  - `Results` (array)
    Array containing the record level fields.

  - `Results.Country` (string)
    The name of the country.

  - `Results.English` (string)
    The standardized country name spelling/script for English pronunciation.

  - `Results.Spanish` (string)
    The standardized country name spelling/script for Spanish pronunciation.

  - `Results.French` (string)
    The standardized country name spelling/script for French pronunciation.

  - `Results.German` (string)
    The standardized country name spelling/script for German pronunciation.

  - `Results.SimplifiedChinese` (string)
    The standardized country name spelling/script for Simplified Chinese pronunciation.

  - `Results.Char2ISO` (string)
    The 2 letter ISO 3166 country code value. For example: `US` for United States or `CA` for Canada.

  - `Results.Char3ISO` (string)
    The 3 letter ISO 3166 country code value. For example: `USA` for United States or `CAN` for Canada.

  - `Results.ISONumeric` (string)
    The ISO 3166 country number value. For example: `840` for United States or `124` for Canada.

## Response 200 fields (application/javascript):

  - `d` (object)

  - `d.Version` (string)
    The current service version number.

  - `d.ResultCode` (string)
    Lists result codes for the most recent request. For more information, see [Global Express Entry Result Codes](https://docs.melissa.com/cloud-api/global-express-entry/result-codes.html).

  - `d.ErrorString` (string)
    Lists error codes from any errors caused by the most recent request. For more information, see [Global Express Entry Result Codes](https://docs.melissa.com/cloud-api/global-express-entry/result-codes.html).

  - `d.Results` (array)
    Array containing the record level fields.

  - `d.Results.Country` (string)
    The name of the country.

  - `d.Results.English` (string)
    The standardized country name spelling/script for English pronunciation.

  - `d.Results.Spanish` (string)
    The standardized country name spelling/script for Spanish pronunciation.

  - `d.Results.French` (string)
    The standardized country name spelling/script for French pronunciation.

  - `d.Results.German` (string)
    The standardized country name spelling/script for German pronunciation.

  - `d.Results.SimplifiedChinese` (string)
    The standardized country name spelling/script for Simplified Chinese pronunciation.

  - `d.Results.Char2ISO` (string)
    The 2 letter ISO 3166 country code value. For example: `US` for United States or `CA` for Canada.

  - `d.Results.Char3ISO` (string)
    The 3 letter ISO 3166 country code value. For example: `USA` for United States or `CAN` for Canada.

  - `d.Results.ISONumeric` (string)
    The ISO 3166 country number value. For example: `840` for United States or `124` for Canada.

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (application/json):

  - `type` (string)
    The type of error that occurred.

  - `title` (string)
    A short summary of the error.

  - `status` (integer)
    The HTTP status code for the error.

  - `errors` (object)

  - `errors.$.<PropertyName>` (array)
    A detailed message about the error.

  - `traceId` (string)
    A unique identifier for the request, useful for debugging.

